pidfile.c File Reference

PID-file management. More...

`#include "pidfile.h"`
`#include <errno.h>`
`#include <glib.h>`
`#include <glib/gstdio.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`

## Macros

#define | G_LOG_DOMAIN "libgvm base"
| GLib log domain. More...

## Functions

int | pidfile_create (gchar *daemon_name)
| Create a PID-file. More...
void | pidfile_remove (gchar *daemon_name)
| Remove PID file. More...

## Detailed Description

PID-file management.

## Macro Definition Documentation

## G_LOG_DOMAIN

#define G_LOG_DOMAIN "libgvm base"

GLib log domain.

## Function Documentation

## pidfile_create()

int pidfile_create | ( | gchar * | daemon_name | ) |

Create a PID-file.

A standard PID file will be created for the given daemon name.

Parameters

  [in] | daemon_name | The name of the daemon

Returns
  0 for success, anything else indicates an error.

## pidfile_remove()

void pidfile_remove | ( | gchar * | daemon_name | ) |

Remove PID file.

Parameters

  [in] | daemon_name | The name of the daemon